package com.fjhx.service.maintain;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.maintain.MaintainRecords;
import com.fjhx.params.maintain.MaintainRecordsVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 维护记录 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-02
 */
public interface MaintainRecordsService extends BaseService<MaintainRecords> {

    Page<MaintainRecords> getPage(Map<String, String> condition);

    void add(MaintainRecordsVo maintainRecordsVo);

    void edit(MaintainRecordsVo maintainRecordsVo);

    void delete(MaintainRecordsVo maintainRecordsVo);

}
